

# DescribeIntent
<a name="API_DescribeIntent"></a>

Returns metadata about an intent.

## Request Syntax
<a name="API_DescribeIntent_RequestSyntax"></a>

```
GET /bots/botId/botversions/botVersion/botlocales/localeId/intents/intentId/ HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeIntent_RequestParameters"></a>

The request uses the following URI parameters.

 ** [botId](#API_DescribeIntent_RequestSyntax) **   <a name="lexv2-DescribeIntent-request-uri-botId"></a>
The identifier of the bot associated with the intent.  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$`   
Required: Yes

 ** [botVersion](#API_DescribeIntent_RequestSyntax) **   <a name="lexv2-DescribeIntent-request-uri-botVersion"></a>
The version of the bot associated with the intent.  
Length Constraints: Minimum length of 1. Maximum length of 5.  
Pattern: `^(DRAFT|[0-9]+)$`   
Required: Yes

 ** [intentId](#API_DescribeIntent_RequestSyntax) **   <a name="lexv2-DescribeIntent-request-uri-intentId"></a>
The identifier of the intent to describe.  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$`   
Required: Yes

 ** [localeId](#API_DescribeIntent_RequestSyntax) **   <a name="lexv2-DescribeIntent-request-uri-localeId"></a>
The identifier of the language and locale of the intent to describe. The string must match one of the supported locales. For more information, see [Supported languages](https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html).  
Required: Yes

## Request Body
<a name="API_DescribeIntent_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeIntent_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "botId": "string",
   "botVersion": "string",
   "creationDateTime": number,
   "description": "string",
   "dialogCodeHook": { 
      "enabled": boolean
   },
   "fulfillmentCodeHook": { 
      "active": boolean,
      "enabled": boolean,
      "fulfillmentUpdatesSpecification": { 
         "active": boolean,
         "startResponse": { 
            "allowInterrupt": boolean,
            "delayInSeconds": number,
            "messageGroups": [ 
               { 
                  "message": { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  },
                  "variations": [ 
                     { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     }
                  ]
               }
            ]
         },
         "timeoutInSeconds": number,
         "updateResponse": { 
            "allowInterrupt": boolean,
            "frequencyInSeconds": number,
            "messageGroups": [ 
               { 
                  "message": { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  },
                  "variations": [ 
                     { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     }
                  ]
               }
            ]
         }
      },
      "postFulfillmentStatusSpecification": { 
         "failureConditional": { 
            "active": boolean,
            "conditionalBranches": [ 
               { 
                  "condition": { 
                     "expressionString": "string"
                  },
                  "name": "string",
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            ],
            "defaultBranch": { 
               "nextStep": { 
                  "dialogAction": { 
                     "slotToElicit": "string",
                     "suppressNextMessage": boolean,
                     "type": "string"
                  },
                  "intent": { 
                     "name": "string",
                     "slots": { 
                        "string" : { 
                           "shape": "string",
                           "value": { 
                              "interpretedValue": "string"
                           },
                           "values": [ 
                              "SlotValueOverride"
                           ]
                        }
                     }
                  },
                  "sessionAttributes": { 
                     "string" : "string" 
                  }
               },
               "response": { 
                  "allowInterrupt": boolean,
                  "messageGroups": [ 
                     { 
                        "message": { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        },
                        "variations": [ 
                           { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           }
                        ]
                     }
                  ]
               }
            }
         },
         "failureNextStep": { 
            "dialogAction": { 
               "slotToElicit": "string",
               "suppressNextMessage": boolean,
               "type": "string"
            },
            "intent": { 
               "name": "string",
               "slots": { 
                  "string" : { 
                     "shape": "string",
                     "value": { 
                        "interpretedValue": "string"
                     },
                     "values": [ 
                        "SlotValueOverride"
                     ]
                  }
               }
            },
            "sessionAttributes": { 
               "string" : "string" 
            }
         },
         "failureResponse": { 
            "allowInterrupt": boolean,
            "messageGroups": [ 
               { 
                  "message": { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  },
                  "variations": [ 
                     { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     }
                  ]
               }
            ]
         },
         "successConditional": { 
            "active": boolean,
            "conditionalBranches": [ 
               { 
                  "condition": { 
                     "expressionString": "string"
                  },
                  "name": "string",
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            ],
            "defaultBranch": { 
               "nextStep": { 
                  "dialogAction": { 
                     "slotToElicit": "string",
                     "suppressNextMessage": boolean,
                     "type": "string"
                  },
                  "intent": { 
                     "name": "string",
                     "slots": { 
                        "string" : { 
                           "shape": "string",
                           "value": { 
                              "interpretedValue": "string"
                           },
                           "values": [ 
                              "SlotValueOverride"
                           ]
                        }
                     }
                  },
                  "sessionAttributes": { 
                     "string" : "string" 
                  }
               },
               "response": { 
                  "allowInterrupt": boolean,
                  "messageGroups": [ 
                     { 
                        "message": { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        },
                        "variations": [ 
                           { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           }
                        ]
                     }
                  ]
               }
            }
         },
         "successNextStep": { 
            "dialogAction": { 
               "slotToElicit": "string",
               "suppressNextMessage": boolean,
               "type": "string"
            },
            "intent": { 
               "name": "string",
               "slots": { 
                  "string" : { 
                     "shape": "string",
                     "value": { 
                        "interpretedValue": "string"
                     },
                     "values": [ 
                        "SlotValueOverride"
                     ]
                  }
               }
            },
            "sessionAttributes": { 
               "string" : "string" 
            }
         },
         "successResponse": { 
            "allowInterrupt": boolean,
            "messageGroups": [ 
               { 
                  "message": { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  },
                  "variations": [ 
                     { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     }
                  ]
               }
            ]
         },
         "timeoutConditional": { 
            "active": boolean,
            "conditionalBranches": [ 
               { 
                  "condition": { 
                     "expressionString": "string"
                  },
                  "name": "string",
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            ],
            "defaultBranch": { 
               "nextStep": { 
                  "dialogAction": { 
                     "slotToElicit": "string",
                     "suppressNextMessage": boolean,
                     "type": "string"
                  },
                  "intent": { 
                     "name": "string",
                     "slots": { 
                        "string" : { 
                           "shape": "string",
                           "value": { 
                              "interpretedValue": "string"
                           },
                           "values": [ 
                              "SlotValueOverride"
                           ]
                        }
                     }
                  },
                  "sessionAttributes": { 
                     "string" : "string" 
                  }
               },
               "response": { 
                  "allowInterrupt": boolean,
                  "messageGroups": [ 
                     { 
                        "message": { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        },
                        "variations": [ 
                           { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           }
                        ]
                     }
                  ]
               }
            }
         },
         "timeoutNextStep": { 
            "dialogAction": { 
               "slotToElicit": "string",
               "suppressNextMessage": boolean,
               "type": "string"
            },
            "intent": { 
               "name": "string",
               "slots": { 
                  "string" : { 
                     "shape": "string",
                     "value": { 
                        "interpretedValue": "string"
                     },
                     "values": [ 
                        "SlotValueOverride"
                     ]
                  }
               }
            },
            "sessionAttributes": { 
               "string" : "string" 
            }
         },
         "timeoutResponse": { 
            "allowInterrupt": boolean,
            "messageGroups": [ 
               { 
                  "message": { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  },
                  "variations": [ 
                     { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     }
                  ]
               }
            ]
         }
      }
   },
   "initialResponseSetting": { 
      "codeHook": { 
         "active": boolean,
         "enableCodeHookInvocation": boolean,
         "invocationLabel": "string",
         "postCodeHookSpecification": { 
            "failureConditional": { 
               "active": boolean,
               "conditionalBranches": [ 
                  { 
                     "condition": { 
                        "expressionString": "string"
                     },
                     "name": "string",
                     "nextStep": { 
                        "dialogAction": { 
                           "slotToElicit": "string",
                           "suppressNextMessage": boolean,
                           "type": "string"
                        },
                        "intent": { 
                           "name": "string",
                           "slots": { 
                              "string" : { 
                                 "shape": "string",
                                 "value": { 
                                    "interpretedValue": "string"
                                 },
                                 "values": [ 
                                    "SlotValueOverride"
                                 ]
                              }
                           }
                        },
                        "sessionAttributes": { 
                           "string" : "string" 
                        }
                     },
                     "response": { 
                        "allowInterrupt": boolean,
                        "messageGroups": [ 
                           { 
                              "message": { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              },
                              "variations": [ 
                                 { 
                                    "customPayload": { 
                                       "value": "string"
                                    },
                                    "imageResponseCard": { 
                                       "buttons": [ 
                                          { 
                                             "text": "string",
                                             "value": "string"
                                          }
                                       ],
                                       "imageUrl": "string",
                                       "subtitle": "string",
                                       "title": "string"
                                    },
                                    "plainTextMessage": { 
                                       "value": "string"
                                    },
                                    "ssmlMessage": { 
                                       "value": "string"
                                    }
                                 }
                              ]
                           }
                        ]
                     }
                  }
               ],
               "defaultBranch": { 
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            },
            "failureNextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "failureResponse": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            },
            "successConditional": { 
               "active": boolean,
               "conditionalBranches": [ 
                  { 
                     "condition": { 
                        "expressionString": "string"
                     },
                     "name": "string",
                     "nextStep": { 
                        "dialogAction": { 
                           "slotToElicit": "string",
                           "suppressNextMessage": boolean,
                           "type": "string"
                        },
                        "intent": { 
                           "name": "string",
                           "slots": { 
                              "string" : { 
                                 "shape": "string",
                                 "value": { 
                                    "interpretedValue": "string"
                                 },
                                 "values": [ 
                                    "SlotValueOverride"
                                 ]
                              }
                           }
                        },
                        "sessionAttributes": { 
                           "string" : "string" 
                        }
                     },
                     "response": { 
                        "allowInterrupt": boolean,
                        "messageGroups": [ 
                           { 
                              "message": { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              },
                              "variations": [ 
                                 { 
                                    "customPayload": { 
                                       "value": "string"
                                    },
                                    "imageResponseCard": { 
                                       "buttons": [ 
                                          { 
                                             "text": "string",
                                             "value": "string"
                                          }
                                       ],
                                       "imageUrl": "string",
                                       "subtitle": "string",
                                       "title": "string"
                                    },
                                    "plainTextMessage": { 
                                       "value": "string"
                                    },
                                    "ssmlMessage": { 
                                       "value": "string"
                                    }
                                 }
                              ]
                           }
                        ]
                     }
                  }
               ],
               "defaultBranch": { 
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            },
            "successNextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "successResponse": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            },
            "timeoutConditional": { 
               "active": boolean,
               "conditionalBranches": [ 
                  { 
                     "condition": { 
                        "expressionString": "string"
                     },
                     "name": "string",
                     "nextStep": { 
                        "dialogAction": { 
                           "slotToElicit": "string",
                           "suppressNextMessage": boolean,
                           "type": "string"
                        },
                        "intent": { 
                           "name": "string",
                           "slots": { 
                              "string" : { 
                                 "shape": "string",
                                 "value": { 
                                    "interpretedValue": "string"
                                 },
                                 "values": [ 
                                    "SlotValueOverride"
                                 ]
                              }
                           }
                        },
                        "sessionAttributes": { 
                           "string" : "string" 
                        }
                     },
                     "response": { 
                        "allowInterrupt": boolean,
                        "messageGroups": [ 
                           { 
                              "message": { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              },
                              "variations": [ 
                                 { 
                                    "customPayload": { 
                                       "value": "string"
                                    },
                                    "imageResponseCard": { 
                                       "buttons": [ 
                                          { 
                                             "text": "string",
                                             "value": "string"
                                          }
                                       ],
                                       "imageUrl": "string",
                                       "subtitle": "string",
                                       "title": "string"
                                    },
                                    "plainTextMessage": { 
                                       "value": "string"
                                    },
                                    "ssmlMessage": { 
                                       "value": "string"
                                    }
                                 }
                              ]
                           }
                        ]
                     }
                  }
               ],
               "defaultBranch": { 
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            },
            "timeoutNextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "timeoutResponse": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            }
         }
      },
      "conditional": { 
         "active": boolean,
         "conditionalBranches": [ 
            { 
               "condition": { 
                  "expressionString": "string"
               },
               "name": "string",
               "nextStep": { 
                  "dialogAction": { 
                     "slotToElicit": "string",
                     "suppressNextMessage": boolean,
                     "type": "string"
                  },
                  "intent": { 
                     "name": "string",
                     "slots": { 
                        "string" : { 
                           "shape": "string",
                           "value": { 
                              "interpretedValue": "string"
                           },
                           "values": [ 
                              "SlotValueOverride"
                           ]
                        }
                     }
                  },
                  "sessionAttributes": { 
                     "string" : "string" 
                  }
               },
               "response": { 
                  "allowInterrupt": boolean,
                  "messageGroups": [ 
                     { 
                        "message": { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        },
                        "variations": [ 
                           { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           }
                        ]
                     }
                  ]
               }
            }
         ],
         "defaultBranch": { 
            "nextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "response": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            }
         }
      },
      "initialResponse": { 
         "allowInterrupt": boolean,
         "messageGroups": [ 
            { 
               "message": { 
                  "customPayload": { 
                     "value": "string"
                  },
                  "imageResponseCard": { 
                     "buttons": [ 
                        { 
                           "text": "string",
                           "value": "string"
                        }
                     ],
                     "imageUrl": "string",
                     "subtitle": "string",
                     "title": "string"
                  },
                  "plainTextMessage": { 
                     "value": "string"
                  },
                  "ssmlMessage": { 
                     "value": "string"
                  }
               },
               "variations": [ 
                  { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  }
               ]
            }
         ]
      },
      "nextStep": { 
         "dialogAction": { 
            "slotToElicit": "string",
            "suppressNextMessage": boolean,
            "type": "string"
         },
         "intent": { 
            "name": "string",
            "slots": { 
               "string" : { 
                  "shape": "string",
                  "value": { 
                     "interpretedValue": "string"
                  },
                  "values": [ 
                     "SlotValueOverride"
                  ]
               }
            }
         },
         "sessionAttributes": { 
            "string" : "string" 
         }
      }
   },
   "inputContexts": [ 
      { 
         "name": "string"
      }
   ],
   "intentClosingSetting": { 
      "active": boolean,
      "closingResponse": { 
         "allowInterrupt": boolean,
         "messageGroups": [ 
            { 
               "message": { 
                  "customPayload": { 
                     "value": "string"
                  },
                  "imageResponseCard": { 
                     "buttons": [ 
                        { 
                           "text": "string",
                           "value": "string"
                        }
                     ],
                     "imageUrl": "string",
                     "subtitle": "string",
                     "title": "string"
                  },
                  "plainTextMessage": { 
                     "value": "string"
                  },
                  "ssmlMessage": { 
                     "value": "string"
                  }
               },
               "variations": [ 
                  { 
                     "customPayload": { 
                        "value": "string"
                     },
                     "imageResponseCard": { 
                        "buttons": [ 
                           { 
                              "text": "string",
                              "value": "string"
                           }
                        ],
                        "imageUrl": "string",
                        "subtitle": "string",
                        "title": "string"
                     },
                     "plainTextMessage": { 
                        "value": "string"
                     },
                     "ssmlMessage": { 
                        "value": "string"
                     }
                  }
               ]
            }
         ]
      },
      "conditional": { 
         "active": boolean,
         "conditionalBranches": [ 
            { 
               "condition": { 
                  "expressionString": "string"
               },
               "name": "string",
               "nextStep": { 
                  "dialogAction": { 
                     "slotToElicit": "string",
                     "suppressNextMessage": boolean,
                     "type": "string"
                  },
                  "intent": { 
                     "name": "string",
                     "slots": { 
                        "string" : { 
                           "shape": "string",
                           "value": { 
                              "interpretedValue": "string"
                           },
                           "values": [ 
                              "SlotValueOverride"
                           ]
                        }
                     }
                  },
                  "sessionAttributes": { 
                     "string" : "string" 
                  }
               },
               "response": { 
                  "allowInterrupt": boolean,
                  "messageGroups": [ 
                     { 
                        "message": { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        },
                        "variations": [ 
                           { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           }
                        ]
                     }
                  ]
               }
            }
         ],
         "defaultBranch": { 
            "nextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "response": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            }
         }
      },
      "nextStep": { 
         "dialogAction": { 
            "slotToElicit": "string",
            "suppressNextMessage": boolean,
            "type": "string"
         },
         "intent": { 
            "name": "string",
            "slots": { 
               "string" : { 
                  "shape": "string",
                  "value": { 
                     "interpretedValue": "string"
                  },
                  "values": [ 
                     "SlotValueOverride"
                  ]
               }
            }
         },
         "sessionAttributes": { 
            "string" : "string" 
         }
      }
   },
   "intentConfirmationSetting": { 
      "active": boolean,
      "codeHook": { 
         "active": boolean,
         "enableCodeHookInvocation": boolean,
         "invocationLabel": "string",
         "postCodeHookSpecification": { 
            "failureConditional": { 
               "active": boolean,
               "conditionalBranches": [ 
                  { 
                     "condition": { 
                        "expressionString": "string"
                     },
                     "name": "string",
                     "nextStep": { 
                        "dialogAction": { 
                           "slotToElicit": "string",
                           "suppressNextMessage": boolean,
                           "type": "string"
                        },
                        "intent": { 
                           "name": "string",
                           "slots": { 
                              "string" : { 
                                 "shape": "string",
                                 "value": { 
                                    "interpretedValue": "string"
                                 },
                                 "values": [ 
                                    "SlotValueOverride"
                                 ]
                              }
                           }
                        },
                        "sessionAttributes": { 
                           "string" : "string" 
                        }
                     },
                     "response": { 
                        "allowInterrupt": boolean,
                        "messageGroups": [ 
                           { 
                              "message": { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              },
                              "variations": [ 
                                 { 
                                    "customPayload": { 
                                       "value": "string"
                                    },
                                    "imageResponseCard": { 
                                       "buttons": [ 
                                          { 
                                             "text": "string",
                                             "value": "string"
                                          }
                                       ],
                                       "imageUrl": "string",
                                       "subtitle": "string",
                                       "title": "string"
                                    },
                                    "plainTextMessage": { 
                                       "value": "string"
                                    },
                                    "ssmlMessage": { 
                                       "value": "string"
                                    }
                                 }
                              ]
                           }
                        ]
                     }
                  }
               ],
               "defaultBranch": { 
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            },
            "failureNextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "failureResponse": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
                           "customPayload": { 
                              "value": "string"
                           },
                           "imageResponseCard": { 
                              "buttons": [ 
                                 { 
                                    "text": "string",
                                    "value": "string"
                                 }
                              ],
                              "imageUrl": "string",
                              "subtitle": "string",
                              "title": "string"
                           },
                           "plainTextMessage": { 
                              "value": "string"
                           },
                           "ssmlMessage": { 
                              "value": "string"
                           }
                        }
                     ]
                  }
               ]
            },
            "successConditional": { 
               "active": boolean,
               "conditionalBranches": [ 
                  { 
                     "condition": { 
                        "expressionString": "string"
                     },
                     "name": "string",
                     "nextStep": { 
                        "dialogAction": { 
                           "slotToElicit": "string",
                           "suppressNextMessage": boolean,
                           "type": "string"
                        },
                        "intent": { 
                           "name": "string",
                           "slots": { 
                              "string" : { 
                                 "shape": "string",
                                 "value": { 
                                    "interpretedValue": "string"
                                 },
                                 "values": [ 
                                    "SlotValueOverride"
                                 ]
                              }
                           }
                        },
                        "sessionAttributes": { 
                           "string" : "string" 
                        }
                     },
                     "response": { 
                        "allowInterrupt": boolean,
                        "messageGroups": [ 
                           { 
                              "message": { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              },
                              "variations": [ 
                                 { 
                                    "customPayload": { 
                                       "value": "string"
                                    },
                                    "imageResponseCard": { 
                                       "buttons": [ 
                                          { 
                                             "text": "string",
                                             "value": "string"
                                          }
                                       ],
                                       "imageUrl": "string",
                                       "subtitle": "string",
                                       "title": "string"
                                    },
                                    "plainTextMessage": { 
                                       "value": "string"
                                    },
                                    "ssmlMessage": { 
                                       "value": "string"
                                    }
                                 }
                              ]
                           }
                        ]
                     }
                  }
               ],
               "defaultBranch": { 
                  "nextStep": { 
                     "dialogAction": { 
                        "slotToElicit": "string",
                        "suppressNextMessage": boolean,
                        "type": "string"
                     },
                     "intent": { 
                        "name": "string",
                        "slots": { 
                           "string" : { 
                              "shape": "string",
                              "value": { 
                                 "interpretedValue": "string"
                              },
                              "values": [ 
                                 "SlotValueOverride"
                              ]
                           }
                        }
                     },
                     "sessionAttributes": { 
                        "string" : "string" 
                     }
                  },
                  "response": { 
                     "allowInterrupt": boolean,
                     "messageGroups": [ 
                        { 
                           "message": { 
                              "customPayload": { 
                                 "value": "string"
                              },
                              "imageResponseCard": { 
                                 "buttons": [ 
                                    { 
                                       "text": "string",
                                       "value": "string"
                                    }
                                 ],
                                 "imageUrl": "string",
                                 "subtitle": "string",
                                 "title": "string"
                              },
                              "plainTextMessage": { 
                                 "value": "string"
                              },
                              "ssmlMessage": { 
                                 "value": "string"
                              }
                           },
                           "variations": [ 
                              { 
                                 "customPayload": { 
                                    "value": "string"
                                 },
                                 "imageResponseCard": { 
                                    "buttons": [ 
                                       { 
                                          "text": "string",
                                          "value": "string"
                                       }
                                    ],
                                    "imageUrl": "string",
                                    "subtitle": "string",
                                    "title": "string"
                                 },
                                 "plainTextMessage": { 
                                    "value": "string"
                                 },
                                 "ssmlMessage": { 
                                    "value": "string"
                                 }
                              }
                           ]
                        }
                     ]
                  }
               }
            },
            "successNextStep": { 
               "dialogAction": { 
                  "slotToElicit": "string",
                  "suppressNextMessage": boolean,
                  "type": "string"
               },
               "intent": { 
                  "name": "string",
                  "slots": { 
                     "string" : { 
                        "shape": "string",
                        "value": { 
                           "interpretedValue": "string"
                        },
                        "values": [ 
                           "SlotValueOverride"
                        ]
                     }
                  }
               },
               "sessionAttributes": { 
                  "string" : "string" 
               }
            },
            "successResponse": { 
               "allowInterrupt": boolean,
               "messageGroups": [ 
                  { 
                     "message": { 
                        "customPayload": { 
                           "value": "string"
                        },
                        "imageResponseCard": { 
                           "buttons": [ 
                              { 
                                 "text": "string",
                                 "value": "string"
                              }
                           ],
                           "imageUrl": "string",
                           "subtitle": "string",
                           "title": "string"
                        },
                        "plainTextMessage": { 
                           "value": "string"
                        },
                        "ssmlMessage": { 
                           "value": "string"
                        }
                     },
                     "variations": [ 
                        { 
[...]
